Skip to main content

Refund

View as Markdown

This method allows merchants to refund the order amount either fully or partially. Full and partial refunds are supported for payments made via card, Apple Pay, Google Pay, BOG authorization, and loyalty points. The partial refund method can be initiated repeatedly until the total paid amount is fully refunded.

Header parameters​

Content-Typerequiredapplication/json

AuthorizationrequiredBasic <base64>

Bearer <jwt_token>, where jwt_token is the token returned in the access_token parameter of the authentication method response.

Idempotency-KeyoptionalUUID v4

The Idempotency-Key parameter should be unique for each new API request. Subsequent requests to the same API endpoint with the same Idempotency-Key header will result in the server returning the same status code and response body as the initial request. This functionality is particularly useful to ensure consistent outcome in scenarios where network issues or retries may lead to duplicate requests.

Path parameters​

order_idrequiredstring

The order identifier is returned in response to the order request.

Body parameters​

amountoptionalnumber

The amount to be refunded. This parameter is necessary if a partial refund is being made. If the parameter is not included, the entire amount will be refunded. The value of this parameter cannot exceed the processed amount (transfer_amount).
curl -X POST 'https://api.bog.ge/payments/v1/payment/refund/:order_id' \
-H 'Authorization: Bearer <token>' \
-H 'Content-Type: application/json' \
--data-raw '{
"amount": "10.5"
}'

Response​

keystring

The key or identifier for the status of the API request.

messagestring

The human-readable message associated with the API request.

action_idstring

The unique identifier for the action associated with the API request.
{
"key": "request_received",
"message": "Refund request received",
"action_id": "5b666901-eb05-4f83-abeb-8311e175f337"
}